python-phply_1.2.4-1_all.deb


Advertisement

Description

python-phply - PHP parser written in Python using PLY

Property Value
Distribution Ubuntu 18.04 LTS (Bionic Beaver)
Repository Ubuntu Universe i386
Package filename python-phply_1.2.4-1_all.deb
Package name python-phply
Package version 1.2.4
Package release 1
Package architecture all
Package type deb
Category universe/python
Homepage https://github.com/ramen/phply
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 48.84 KB
Installed size 459.00 KB
phply is a parser for the PHP programming language written using PLY,
a Lex/YACC-style parser generator toolkit for Python.
With this parser you can:
- Convert PHP code to Python
- Run PHP templates in a Python environment
- Learn more about parsing "industrial" languages, warts and all
This is the Python 2 version of the package.

Alternatives

Package Version Architecture Repository
python-phply_1.2.4-1_all.deb 1.2.4 all Ubuntu Universe
python-phply - - -

Requires

Name Value
python-ply -
python:any >= 2.7.5-5~
python:any << 2.8

Download

Type URL
Mirror archive.ubuntu.com
Binary Package python-phply_1.2.4-1_all.deb
Source Package python-phply

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install python-phply deb package:
    # sudo apt-get install python-phply

Files

Path
/usr/lib/python2.7/dist-packages/phply-1.2.4-nspkg.pth
/usr/lib/python2.7/dist-packages/phply/parsetab.py
/usr/lib/python2.7/dist-packages/phply/phpast.py
/usr/lib/python2.7/dist-packages/phply/phplex.py
/usr/lib/python2.7/dist-packages/phply/phpparse.py
/usr/lib/python2.7/dist-packages/phply/pythonast.py
/usr/lib/python2.7/dist-packages/phply-1.2.4.egg-info/PKG-INFO
/usr/lib/python2.7/dist-packages/phply-1.2.4.egg-info/dependency_links.txt
/usr/lib/python2.7/dist-packages/phply-1.2.4.egg-info/entry_points.txt
/usr/lib/python2.7/dist-packages/phply-1.2.4.egg-info/namespace_packages.txt
/usr/lib/python2.7/dist-packages/phply-1.2.4.egg-info/not-zip-safe
/usr/lib/python2.7/dist-packages/phply-1.2.4.egg-info/requires.txt
/usr/lib/python2.7/dist-packages/phply-1.2.4.egg-info/top_level.txt
/usr/share/doc/python-phply/changelog.Debian.gz
/usr/share/doc/python-phply/copyright
/usr/share/python/ns/python-phply

Changelog

2018-03-21 - Gianfranco Costamagna <locutusofborg@debian.org>
python-phply (1.2.4-1) unstable; urgency=medium
[ Stuart Prescott ]
*  New upstream version 1.2.4 (Closes: #893714)
thanks Stuart Prescott for the report!
* Fix conflicts between python-phply and python3-phply (Closes: #893708).
2018-01-18 - Gianfranco Costamagna <locutusofborg@debian.org>
python-phply (1.2.2-1) unstable; urgency=medium
* New upstream version 1.2.2
* Make watch file scan with secure url
* Bump std-version to 4.1.3
2017-11-10 - Gianfranco Costamagna <locutusofborg@debian.org>
python-phply (1.2.1-1) unstable; urgency=medium
* New upstream version 1.2.1
2017-10-26 - Gianfranco Costamagna <locutusofborg@debian.org>
python-phply (1.2.0-1) unstable; urgency=medium
* New upstream version 1.2.0
* Bump std-version to 4.1.1
2016-05-16 - Gianfranco Costamagna <locutusofborg@debian.org>
python-phply (1.0.0-1) unstable; urgency=medium
* Bump std-version to 3.9.8
* Fix insecure VCS fields.
* New upstream release
* Change homepage to new project location
* Update copyright years
* Drop patches, testsuite fixed upstream
* Drop README file, removed upstream.
2015-09-28 - Gianfranco Costamagna <locutusofborg@debian.org>
python-phply (0.9.1-4) unstable; urgency=medium
* Change Python*:Depends to python:Depends.
2015-08-26 - Gianfranco Costamagna <locutusofborg@debian.org>
python-phply (0.9.1-3) unstable; urgency=medium
* tweak fix-tests.patch to fix another python-3 issue.
(Closes: #796519) thanks Chris Lamb for the useful bug
report!
* Update my uid.
2015-07-18 - Gianfranco Costamagna <costamagnagianfranco@yahoo.it>
python-phply (0.9.1-2) unstable; urgency=low
* python3-phply.pyremove, exclude tests from install. (Closes: #792766)
thanks Andreas Beckmann for the bug report.
2015-06-15 - Gianfranco Costamagna <costamagnagianfranco@yahoo.it>
python-phply (0.9.1-1) unstable; urgency=low
[ Gianfranco Costamagna ]
* New upstream release (actually this is just a tarball rename).
* Move myself as maintainer and collab-maint as VCS.
- DPMT rejected my team application.
[ Piotr O┼╝arowski ]
* Add watch file.
* python-phply.pyremove, exclude tests from install. (Closes: #788838)
- An equivalent fix will come directly in dh_python.
2015-02-16 - Gianfranco Costamagna <costamagnagianfranco@yahoo.it>
python-phply (0.9.1~alpha-1) unstable; urgency=low
* Initial release (Closes: #719811).

See Also

Package Description
python-phpserialize_1.3-1_all.deb Python port of PHP serialize and unserialize functions (Python 2)
python-picklable-itertools_0.1.1-1_all.deb picklable reimplementation of Python's itertools
python-pickleshare_0.7.4-2_all.deb File system based database that uses Python pickles for Python 2
python-piggyphoto_0.1dev-git20141014_all.deb Python bindings for libgphoto2
python-pilkit_2.0-1_all.deb Utilities and processors built for, and on top of PIL (Python2 version)
python-pip-whl_9.0.1-2_all.deb Python package installer
python-pip_9.0.1-2_all.deb Python package installer
python-pisock_0.12.5-dfsg-2build2_i386.deb Python module to communicate with PalmOS PDA
python-piston-mini-client_0.7.5-0ubuntu3_all.deb library for writing clients for Django's Piston REST APIs
python-pivy_0.5.0~v609hg-4_i386.deb Coin binding for Python
python-pjproject_2.7.2~dfsg-1_i386.deb PJ Project - Python bindings
python-pkgconfig_1.3.1-1_all.deb Python interface to the pkg-config command line tool
python-pkginfo-doc_1.2.1-1_all.deb Python module to query metadata from packages documentation
python-pkginfo_1.2.1-1_all.deb Python 2.x module to query metadata from packages
python-plastex-doc_0.9.2-1.2_all.deb LaTeX document processing framework in Python - documentation files
Advertisement
Advertisement